Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-27013

Job jbosstools-install-p2director.install-tests.matrix is red for JBossTools

    XMLWordPrintable

Details

    • Builds are green, lucene 7.5.0 and 8.0.0 are already on the tp.

    Description

      The job is failing with error:

      04:21:24 !ENTRY org.eclipse.epp.logging.aeri.ide 2 0 2020-01-21 22:21:24.608
      04:21:24 !MESSAGE Could not resolve module: org.eclipse.epp.logging.aeri.ide [492]
      04:21:24   Unresolved requirement: Import-Package: org.apache.lucene.document; version="[7.1.0,8.0.0)"
      

      https://dev-platform-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/jbosstools-install-p2director.install-tests.matrix_master/PROJECT=jbosstools,SET=central,jdk=openjdk-1.8,label_exp=rhel7-devstudio-releng/

      This could be fixed by updating plugin org.eclipse.epp.logging.aeri.ide from 2.0.7.v20180504-0806 to 2.0.8.v20190502-1125
      In new version of AERI is support for Lucene 8(https://bugs.eclipse.org/bugs/show_bug.cgi?id=546425) and Lucene 8 should be on eclipse target platform(https://bugs.eclipse.org/bugs/show_bug.cgi?id=545395).

      https://bugs.eclipse.org/bugs/show_bug.cgi?id=540306

      Attachments

        Issue Links

          Activity

            People

              jkopriva@redhat.com Josef Kopriva
              jkopriva@redhat.com Josef Kopriva
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: